## skanlite 0.4

=== CMakeLists.txt ===
project(skanlite)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include_directories (${KDE4_INCLUDES})

find_package(KSane REQUIRED)

set(skanlite_SRCS main.cpp skanlite.cpp ImageViewer.cpp)

kde4_add_ui_files(skanlite_SRCS settings.ui)

kde4_add_executable(skanlite ${skanlite_SRCS})

target_link_libraries(skanlite ${KDE4_KIO_LIBS} ${KSANE_LIBRARY})

install(TARGETS skanlite ${INSTALL_TARGETS_DEFAULT_ARGS})
install( FILES skanlite.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )
add_subdirectory( doc-translations )
add_subdirectory( doc )

## skanlite 0.4-kde4.4.0

=== debian/changelog ===
skanlite (0.4-kde4.4.0-2) unstable; urgency=low

  The „Urge to Feed“ release.

  * debian/rules:
    - Construct the URL for the get-orig-source and print-version targets
      dynamically.
    - No longer convert from BZip2 compressed tarball to GZip compression in
      get-orig-source (source format 3.0 makes that superfluous).
  * debian/control:
    - DM-Upload-Allowed set to yes.
    - Bumped Build-Depends on pkg-kde-tools to >= 0.9 for ensured "3.0
      (quilt)" support.
    - Bumped Standards-Version to 3.9.0, no further changes needed.

 -- Kai Wasserbäch <debian@carbon-project.org>  Mon, 28 Jun 2010 21:23:30 +0200

skanlite (0.4-kde4.4.0-1) unstable; urgency=low

  The „Black Knight“ release.

  [ Kai Wasserbäch ]
  * New upstream release
  * debian/skanlite.lintian-overrides: Removed, no longer needed.
  * debian/watch: Rewritten. This gets us a permanently working watch file. 
  * debian/control:
    - Bumped Standards-Version to 3.8.4, no further changes needed.
    - Improved long description.
  * debian/patches:
    - fix_ftbfs_gcc-4.5.patch: Removed, merged upstream.
    - add_upstream_changelog.patch: Added; found by Lintian; generated with
      svn2cl.

  [ Mark Purcell ]
  * debian/rules add get-orig-source & print-version targets

 -- Mark Purcell <msp@debian.org>  Sat, 13 Feb 2010 08:57:35 +1100

skanlite (0.3-kde4.3.1-3) unstable; urgency=low

  The »Haunting Echoes« release. 

  * debian/skanlite.de.1: Added a missing character.
  * debian/patches:
    - fix_ftbfs_gcc-4.5.patch:
      + Added. (Closes: #565096)
      + Fix Skanlite to build with stricter g++ 4.5 (not released yet).
      + Thanks to Matthias Klose for the report.

 -- Kai Wasserbäch <debian@carbon-project.org>  Sat, 16 Jan 2010 12:31:35 +1100

skanlite (0.3-kde4.3.1-2) unstable; urgency=low

  The »Wir werden sehen« release.

  * debian/source/format: Added with »3.0 (quilt)«.
  * debian/rules:
    - Removed useless setting of a variable no longer checked
      for (no CDBS used anymore).
    - Restored minimal linking by passing it the needed options to CMake.
  * debian/skanlite.de.1: Fixed a lot of typos (where is that brown paper bag
    again?).

 -- Kai Wasserbäch <debian@carbon-project.org>  Sun, 13 Dec 2009 15:05:11 +0100

skanlite (0.3-kde4.3.1-1) unstable; urgency=low

  The »Cryptic Command« release.

  * New upstream release.
  * debian/control:
    - Standard-Version is now 3.8.3, no changes needed.
    - Versioned Build-Depends for debhelper and pkg-kde-tools.
    - Drop cdbs from Build-Depends.
  * debian/rules: rewritten for dh7-only build.
  * debian/watch: rewritten to care for the second version part too. We
    mangled/ignored that so far, but as there are minor updates indicated by
    that, we need to check that too.

 -- Kai Wasserbäch <debian@carbon-project.org>  Mon, 26 Oct 2009 15:17:42 +0100

skanlite (0.3-1) unstable; urgency=low

  * Initial release (Closes: #530915)
    The combined »Article 5 Grundgesetz was murdered« and
    »KDE team and mentors appreciation« release.

  [ Mark Purcell ]
  * debian/watch -> svn-upgrade
  * Maintainer: kde-extras & add myself to uploaders
  * Section: graphics, Update Vcs
  * Switch to debian/skanlite.manpages
  * Switch to cdbs

  [ Kai Wasserbäch ]
  * debian/control: Standards-Version is now 3.8.2, no changes needed.
  * debian/copyright:
    - Use the KDE version of the GPL header.
    - doc{,-translations}: the documentation in these directories is licensed
      under the GNU GFDL 1.2 with no non-DFSG compliant parts.
  * debian/rules:
    - Ensure minimal linking (some unneeded linking we can't get around
      otherwise): set »DEB_KDE_LINK_WITH_AS_NEEDED='yes'«.
    - Remove the »rm« line from the install target, shouln't have been there
      at all. I somehow made the mistake to assume, that the symlinked
      directory should be shipped by the package too. (Where is that brown
      paper bag?)
    - Added »DEB_DH_ALWAYS_EXCLUDE« for some VCS files to be always excluded.
  * debian/watch: make the KDE version part variable too, without getting into
    the way of version comparison.
  * Manpages:
    - Added an English manpage.
    - Added a German manpage. 
  * Corrected/Unified capitalisation of the program's name, it's officially
    »Skanlite«.
  * Lintian override »skanlite: arch-dep-package-has-big-usr-share« added.
    (largest part are translations (mo) and they are not really independent, if
    I remember correctly (e.g. bit ordering).

 -- Kai Wasserbäch <debian@carbon-project.org>  Sun, 05 Jul 2009 22:42:44 +0200

=== debian/control ===
Source: skanlite
Section: graphics
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Kai Wasserbäch <debian@carbon-project.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.9),
 libksane-dev, kdelibs5-dev (>= 4:4.2.0)
Standards-Version: 3.9.0
Homepage: http://userbase.kde.org/Skanlite
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/skanlite/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/skanlite/trunk?op=log

Package: skanlite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kooka
Description: image scanner for KDE 4 based on the KSane backend
 Skanlite is a small and simple scanner application for KDE 4 which allows easy
 scanning of images with an attached scanner. Through the KSane backend, it can
 access a wide variety of different scanner models.
 .
 Skanlite can be considered to be the replacement of Kooka.

=== debian/rules ===
#!/usr/bin/make -f

DH_ALWAYS_EXCLUDE:=CVS:.svn:.svnignore:.hg:.hgignore

DEB_SOURCE_PACKAGE=skanlite
DEBVERSION:=$(shell head -n 1 debian/changelog \
                    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9.]*$$//' -e 's/.dfsg$$//')
KDERELEASE:=$(shell echo $(UPVERSION) | sed -e 's/[0-9.]*-kde//')

FILENAME = $(DEB_SOURCE_PACKAGE)_$(UPVERSION).orig.tar.bz2
UPFILENAME = $(DEB_SOURCE_PACKAGE)-$(UPVERSION).tar.bz2
URL = ftp://ftp.kde.org/pub/kde/stable/$(KDERELEASE)/src/extragear/$(UPFILENAME)


override_dh_auto_configure:
	        dh_auto_configure -Skde -- -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
					-DCMAKE_MODULE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
					-DCMAKE_EXE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed"

%:
	dh --with kde $@

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@echo Downloading $(UPFILENAME) from $(URL) ...
	@@wget -N -nv -T10 -t3 ../tarballs/$(UPFILENAME) $(URL)

print-version:
	@@echo DEB_SOURCE_PACKAGE: $(DEB_SOURCE_PACKAGE)
	@@echo DEB_VERSION: $(DEB_VERSION)
	@@echo DEB_NO_EPOCH_VERSION: $(DEB_NOEPOCH_VERSION)
	@@echo DEB_UPSTREAM_VERSION: $(DEB_UPSTREAM_VERSION)
	@@echo DEBVERSION: $(DEBVERSION)
	@@echo FILENAME: $(FILENAME)
	@@echo URL: $(URL)

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts=pasv,downloadurlmangle=s/http\:\/\/dev\.carbon-project\.org\/debian\/skanlite\/\.\/dl/ftp\:\/\/ftp\.kde\.org\/pub\/kde\/stable/ \
    http://dev.carbon-project.org/debian/skanlite/watch.html \
    \./dl/(?:.*)/src/extragear/skanlite-([\d\.]+-kde[\d\.]+)\.tar\.bz2 \
    debian svn-upgrade

## skanlite 0.7

=== debian/changelog ===
skanlite (0.7-2ubuntu1) natty; urgency=low

  * Merge with Debian Unstable, remaining change:
    - Add export KUBUNTU_DESKTOP_POT=extragear-graphics_skanlite to
     debian/rules

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 10 Feb 2011 14:09:44 -0500

skanlite (0.7-2) unstable; urgency=low

  The "Bathe in Light" release.

  * debian/rules: Added .PHONY line, found by Sylvain Le Gall.
  * debian/watch: use SF redirector again (was apparently fixed).
  * debian/source.lintian-overrides: Deleted (as watch file uses SF redirecor
    again).
  * debian/control:
    - DMUA removed, I'm a DD now.
    - Changed my e-mail address.

 -- Kai Wasserbäch <curan@debian.org>  Mon, 07 Feb 2011 16:47:07 +0100

skanlite (0.7-1ubuntu1) natty; urgency=low

  * Merge frm Debian Experimental, remaining changes;
   - Add export KUBUNTU_DESKTOP_POT=extragear-graphics_skanlite to
     debian/rules

 -- Scott Kitterman <scott@kitterman.com>  Fri, 31 Dec 2010 09:35:07 -0500

skanlite (0.7-1) experimental; urgency=low

  The "Blinding Light" release.

  * New upstream release fixing a regression.
  * debian/rules:
    - Added --list-missing.
    - Added "--dbg-package=skanlite-dbg".
    - Removed get-orig-source and print-version. uscan should be able to fetch
      the upstream version.
  * debian/control:
    - Added skanlite-dbg entry.
    - Added "Suggests: skanlite-dbg" to skanlite's entry.
    - Changed Vcs-* entries to point to the new Git location.
  * debian/watch:
    - Added "debian git-import-orig".
    - Added a backslash for escaping.
  * debian/gbp.conf: Ensure pristine-tar is used.
  * debian/source.lintian-overrides: Updated. 
  * debian/skanlite.install: Added. 
  * debian/patches/add_upstream_changelog.patch: Updated. 

 -- Kai Wasserbäch <debian@carbon-project.org>  Fri, 17 Dec 2010 13:06:25 +0100

skanlite (0.6-1ubuntu1) natty; urgency=low

  * Merge frm Debian Experimental, remaining changes;
   - Add export KUBUNTU_DESKTOP_POT=extragear-graphics_skanlite to
     debian/rules

 -- Scott Kitterman <scott@kitterman.com>  Sat, 27 Nov 2010 11:17:01 -0500

skanlite (0.6-1) experimental; urgency=low

  The "Terra Eternal" release.

  * New upstream release (LP: #588231)
  * debian/control:
    - Bumped Standards-Version to 3.9.1, no further changes needed.
    - Updated Homepage field.
    - Added libpng12-dev to B-D.
  * debian/rules: Added --parallel to dh invocation.
  * debian/source:
    - options: Added to ensure BZip2 compression.
    - local-options: Added with "unapply-patches" in preparation for migration
      to Git.
  * debian/watch: Updated for new location on SF (custom rule as redirector
    doesn't work).
  * debian/patches/add_upstream_changelog.patch: Updated.
  * debian/source.lintian-overrides: Added (consequence of the custom SF watch
    file).

 -- Kai Wasserbäch <debian@carbon-project.org>  Thu, 26 Nov 2010 13:21:43 +0100

skanlite (0.4-kde4.4.0-2ubuntu1) natty; urgency=low

  * Merge with Debian, remaining changes:
   - Add export KUBUNTU_DESKTOP_POT=extragear-graphics_skanlite to
     debian/rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 08 Nov 2010 13:13:28 +0000

skanlite (0.4-kde4.4.0-1ubuntu1) maverick; urgency=low

  * Add export KUBUNTU_DESKTOP_POT=extragear-graphics_skanlite to
    debian/rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Jul 2010 16:24:59 +0100

=== debian/control ===
Source: skanlite
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Kai Wasserbäch <curan@debian.org>
Build-Depends: debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.9),
 libksane-dev, kdelibs5-dev (>= 4:4.2.0), libpng12-dev
Standards-Version: 3.9.1
Homepage: http://www.kde.org/applications/graphics/skanlite/
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/skanlite.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/skanlite.git;a=summary

Package: skanlite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kooka
Suggests: skanlite-dbg
Description: image scanner for KDE 4 based on the KSane backend
 Skanlite is a small and simple scanner application for KDE 4 which allows easy
 scanning of images with an attached scanner. Through the KSane backend, it can
 access a wide variety of different scanner models.
 .
 Skanlite can be considered to be the replacement of Kooka.

Package: skanlite-dbg
Architecture: any
Depends: skanlite (= ${binary:Version}), ${misc:Depends}
Section: debug
Priority: extra
Description: Skanlite's debugging symbols
 Skanlite is a small and simple scanner application for KDE 4 which allows easy
 scanning of images with an attached scanner. Through the KSane backend, it can
 access a wide variety of different scanner models.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

export KUBUNTU_DESKTOP_POT=extragear-graphics_skanlite
DH_ALWAYS_EXCLUDE:=CVS:.svn:.svnignore:.hg:.hgignore

override_dh_auto_configure:
	        dh_auto_configure -Skde -- -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
					-DCMAKE_MODULE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
					-DCMAKE_EXE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed"

override_dh_install:
	        dh_install --parallel --list-missing

%:
	dh --parallel --dbg-package=skanlite-dbg --with kde $@

.PHONY: override_dh_auto_configure override_dh_install

## skanlite 0.8

=== debian/changelog ===
skanlite (0.8-2ubuntu2) raring; urgency=low

  * No change rebuild to get the translations back into the package 

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 07 Nov 2012 21:15:11 +0100

skanlite (0.8-2ubuntu1) quantal; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Do not suggest skanlite-dbg.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 30 Apr 2012 17:31:00 +0200

skanlite (0.8-2) unstable; urgency=low

  The "Curtain of Light" release.

  * debian/control:
    - B-D on libpng-dev. (Closes: #662503)
    - Bump Standards-Version to 3.9.3, no further changes required.
    - Bump B-D on debhelper to >= 9, it's released now.
  * debian/source.lintian-overrides: Deleted (debhelper v9 is out).

 -- Kai Wasserbäch <curan@debian.org>  Tue, 13 Mar 2012 19:26:38 +0100

skanlite (0.8-1ubuntu1) precise; urgency=low

  * Merge from Debian experimental, remaining changes:
    - Do not suggest skanlite-dbg.

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 06 Jan 2012 20:18:11 +0100

skanlite (0.8-1) experimental; urgency=low

  The "Divine Light" release.

  * New upstream release.
  * debian/compat: Updated for debhelper 9 compatibility.
  * debian/control:
    - Updated for debhelper 9 compatibility.
    - Bumped Standards-Version to 3.9.2, no further changes needed.
    - Bumped B-D on libksane-dev, we need initGetDeviceList in KSaneWidget.
  * debian/rules:
    - Updated for debhelper 8+ compatibility.
    - Added "--parallel" to dh_auto_configure invocation.
  * debian/source.lintian-overrides: Added (only temp. until dh v9 is
    released).
  * debian/gbp.conf: Ensure tag signing.
  * debian/patches/add_upstream_changelog.patch: Updated.
  * debian/copyright: Updated.

 -- Kai Wasserbäch <curan@debian.org>  Fri, 06 Jan 2012 16:02:57 +0100

skanlite (0.7-2ubuntu3) oneiric; urgency=low

  * No-change rebuild to stop desktop file stripping (LP: #851953)

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 16 Sep 2011 18:06:23 +0200

skanlite (0.7-2ubuntu2) oneiric; urgency=low

  * Do not suggest skanlite-dbg. The KDE crash dialog can install debug
    packages seamlessly, and suggesting it causes it to show up as an addon
    in graphical package managers, which tends to not show a lot of faith in
    the application.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 01 Jun 2011 02:18:02 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,16 @@
 Source: skanlite
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Kai Wasserbäch <curan@debian.org>
-Build-Depends: debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.9),
- libksane-dev, kdelibs5-dev (>= 4:4.2.0), libpng12-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9),
+ cmake,
+ pkg-kde-tools (>= 0.9),
+ libksane-dev (>= 4:4.7.0),
+ kdelibs5-dev (>= 4:4.2.0),
+ libpng-dev
+Standards-Version: 3.9.3
 Homepage: http://www.kde.org/applications/graphics/skanlite/
 Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/skanlite.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/skanlite.git;a=summary
@@ -15,7 +19,6 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: kooka
-Suggests: skanlite-dbg
 Description: image scanner for KDE 4 based on the KSane backend
  Skanlite is a small and simple scanner application for KDE 4 which allows easy
  scanning of images with an attached scanner. Through the KSane backend, it can

## skanlite 0.9

=== po/CMakeLists.txt ===
add_subdirectory( be )
add_subdirectory( bs )
add_subdirectory( ca )
add_subdirectory( ca@valencia )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( en_GB )
add_subdirectory( eo )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( eu )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hr )
add_subdirectory( hu )
add_subdirectory( is )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( km )
add_subdirectory( ko )
add_subdirectory( lt )
add_subdirectory( lv )
add_subdirectory( mai )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( nn )
add_subdirectory( pa )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( sk )
add_subdirectory( sl )
add_subdirectory( sq )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( ug )
add_subdirectory( uk )
add_subdirectory( wa )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

=== debian/changelog ===
skanlite (0.9-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1083166)
    - Update debian/copyright

 -- Scott Kitterman <scott@kitterman.com>  Mon, 26 Nov 2012 11:54:47 -0500

## skanlite 1.0

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
 add_subdirectory( gl )
 add_subdirectory( hr )
 add_subdirectory( hu )
+add_subdirectory( ia )
 add_subdirectory( is )
 add_subdirectory( it )
 add_subdirectory( ja )
@@ -25,6 +26,7 @@
 add_subdirectory( lt )
 add_subdirectory( lv )
 add_subdirectory( mai )
+add_subdirectory( mr )
 add_subdirectory( nb )
 add_subdirectory( nds )
 add_subdirectory( nl )

=== debian/changelog ===
skanlite (1.0-2) unstable; urgency=low

  * Upload to unstable

 -- Mark Purcell <msp@debian.org>  Mon, 13 May 2013 21:25:28 +1000

skanlite (1.0-1) experimental; urgency=low

  * New Upstream Release
    - Fixes "Please update skanlite to 0.9" (Closes: #694467)
    - Fixes "Version 0.7 according to About" (Closes: #668417)
  * Fix "hardening flags" exported DEB_LDFLAGS_MAINT_APPEND (Closes: #669186)

 -- Mark Purcell <msp@debian.org>  Sun, 03 Mar 2013 09:59:27 +1100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: skanlite
 Section: graphics
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Kai Wasserbäch <curan@debian.org>
 Build-Depends: debhelper (>= 9),
  cmake,
@@ -19,6 +18,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: kooka
+Suggests: skanlite-dbg
 Description: image scanner for KDE 4 based on the KSane backend
  Skanlite is a small and simple scanner application for KDE 4 which allows easy
  scanning of images with an attached scanner. Through the KSane backend, it can

## skanlite 1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(skanlite)


find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include_directories (${KDE4_INCLUDES})

find_package(KSane REQUIRED)
find_package(PNG REQUIRED)

set(SKANLITE_VERSION_MAJOR "1")
set(SKANLITE_VERSION_MINOR "1")
set(SKANLITE_VERSION_STRING "${SKANLITE_VERSION_MAJOR}.${SKANLITE_VERSION_MINOR}")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/version.h)


add_subdirectory(src)
add_subdirectory(doc)

find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )
add_subdirectory( doc-translations )

=== doc-translations/CMakeLists.txt ===
add_subdirectory( de_skanlite/skanlite )
add_subdirectory( fr_skanlite/skanlite )
add_subdirectory( nl_skanlite/skanlite )
add_subdirectory( uk_skanlite/skanlite )

=== src/CMakeLists.txt ===
include_directories(${KSANE_INCLUDE_DIR})

set(skanlite_SRCS main.cpp skanlite.cpp ImageViewer.cpp KSaneImageSaver.cpp SaveLocation.cpp)

kde4_add_ui_files(skanlite_SRCS settings.ui SaveLocation.ui)

kde4_add_app_icon(skanlite_SRCS "${KDE4_INSTALL_DIR}/share/icons/oxygen/*/devices/scanner.png")

kde4_add_executable(skanlite ${skanlite_SRCS})

target_link_libraries(skanlite ${KDE4_KIO_LIBS} ${KSANE_LIBRARY} ${PNG_LIBRARY})

install(TARGETS skanlite ${INSTALL_TARGETS_DEFAULT_ARGS})
install( PROGRAMS skanlite.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )

=== po/fr/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( fr ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/sq/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( sq ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== debian/changelog ===
skanlite (1.1-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Feb 2014 11:23:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: skanlite
 Section: graphics
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Kai Wasserbäch <curan@debian.org>
 Build-Depends: debhelper (>= 9),
  cmake,

=== debian/rules ===
#!/usr/bin/make -f

DH_ALWAYS_EXCLUDE:=CVS:.svn:.svnignore:.hg:.hgignore
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined -Wl,--as-needed

override_dh_install:
	dh_install --list-missing

%:
	dh $@ --parallel --dbg-package=skanlite-dbg --with kde

.PHONY: override_dh_install

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://sf.net/sanewidget/skanlite-([\d\.]+)\.tar\.bz2 debian git-import-orig

## skanlite 2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(skanlite)

# ECM setup (Extended Cmake Modules)
find_package(ECM 1.2.0 REQUIRED NO_MODULE)
# ECM setup2 and include find same cmake module (copied from /usr/share/kde4/apps/cmake/modules/FindSane.cmake)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_SOURCE_DIR}/cmake-modules)

include(FeatureSummary)
include(ECMSetupVersion) # yiels ecm_setup_version
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(CheckFunctionExists)
include(KDEInstallDirs) # yields ${XDG_APPS_INSTALL_DIR}
include(KDEFrameworkCompilerSettings)
include(KDECMakeSettings)
include(GenerateExportHeader)

find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Core Widgets)

# be not so strict with the poor developer who just wants to use strings
remove_definitions(-DQT_NO_URL_CAST_FROM_STRING)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)

set(KF5_VERSION "5.1.0")

ecm_setup_version(
  ${KF5_VERSION}
  VARIABLE_PREFIX SKANLITE
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/skanlite_version.h"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/src/version.h.cmake"
)

# Dependencies
set(REQUIRED_QT_VERSION "5.2.0")

# Required Qt5 components to build this framework
find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Core)
find_package(PNG REQUIRED)

include_directories(${PNG_INCLUDE_DIRS})

set(SKANLITE_VERSION_STRING "2.0.0")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/version.h)

find_package(KF5 ${KF5_VERSION} REQUIRED
    COMPONENTS # alias to find_package(KFGuiAddons ${KF5_VERSION} REQUIRED)
        CoreAddons # KAboutData
        I18n
        XmlGui # KAboutApplicationDialog
        KIO # contains the KIOWidgets which we use in target_link_libraries
        DocTools # yields kdoctools_create_handbook
        Sane # will find KF5Sane
        TextWidgets
)

# Subdirectories
add_subdirectory(src)
add_subdirectory(doc)
add_subdirectory(autotests)
add_subdirectory(tests)
find_package(Gettext REQUIRED)
add_subdirectory( po )
add_subdirectory( doc-translations )

=== doc-translations/CMakeLists.txt ===
add_subdirectory( de_skanlite/skanlite )
add_subdirectory( es_skanlite/skanlite )
add_subdirectory( fr_skanlite/skanlite )
add_subdirectory( it_skanlite/skanlite )
add_subdirectory( nl_skanlite/skanlite )
add_subdirectory( pt_skanlite/skanlite )
add_subdirectory( pt_BR_skanlite/skanlite )
add_subdirectory( sv_skanlite/skanlite )
add_subdirectory( uk_skanlite/skanlite )

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
+add_subdirectory( ast )
 add_subdirectory( be )
+add_subdirectory( bg )
 add_subdirectory( bs )
 add_subdirectory( ca )
 add_subdirectory( ca@valencia )

=== src/CMakeLists.txt ===
set(skanlite_SRCS main.cpp skanlite.cpp ImageViewer.cpp KSaneImageSaver.cpp SaveLocation.cpp)

ki18n_wrap_ui(skanlite_SRCS settings.ui SaveLocation.ui)

#kde4_add_app_icon(skanlite_SRCS "${KDE4_INSTALL_DIR}/share/icons/oxygen/*/devices/scanner.png")

add_executable(skanlite ${skanlite_SRCS})

target_link_libraries(skanlite
  PUBLIC
    Qt5::Core
  PRIVATE
    KF5::CoreAddons
    KF5::Sane
    KF5::I18n
    KF5::XmlGui
    KF5::KIOWidgets
    ${PNG_LIBRARY}
)

install(TARGETS skanlite ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.skanlite.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== doc-translations/de_skanlite/skanlite/CMakeLists.txt ===
kdoctools_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/de/ SUBDIR skanlite)

=== doc-translations/es_skanlite/skanlite/CMakeLists.txt ===
kdoctools_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/es/ SUBDIR skanlite)

=== doc-translations/fr_skanlite/skanlite/CMakeLists.txt ===
kdoctools_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/fr/ SUBDIR skanlite)

=== doc-translations/it_skanlite/skanlite/CMakeLists.txt ===
kdoctools_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/it/ SUBDIR skanlite)

=== doc-translations/nl_skanlite/skanlite/CMakeLists.txt ===
kdoctools_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/nl/ SUBDIR skanlite)

=== doc-translations/pt_BR_skanlite/skanlite/CMakeLists.txt ===
kdoctools_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/pt_BR/ SUBDIR skanlite)

=== doc-translations/pt_skanlite/skanlite/CMakeLists.txt ===
kdoctools_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/pt/ SUBDIR skanlite)

=== doc-translations/sv_skanlite/skanlite/CMakeLists.txt ===
kdoctools_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/sv/ SUBDIR skanlite)

=== debian/changelog ===
skanlite (2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file.
  * Update patches:
    - add_upstream_changelog.patch: drop, obsolete, and not something we want
      to keep carrying manually
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev, and libksane-dev
    - add qtbase5-dev, extra-cmake-modules, libkf5coreaddons-dev,
      kdoctools-dev, libkf5i18n-dev, kio-dev, libkf5sane-dev,
      libkf5textwidgets-dev, and libkf5xmlgui-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Bump the cmake build dependency to >= 2.8.12, according to the upstream
    build system.
  * Remove skanlite-dbg in favour of the -dbgsym packages.
  * Since there is only a single binary, remove skanlite.install and stop
    passing --list-missing to dh_install: everything is installed directly.
  * Update Vcs-* fields.
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 10 Jun 2016 09:23:25 +0200

=== debian/control ===
Source: skanlite
Section: graphics
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Kai Wasserbäch <curan@debian.org>
Build-Depends: debhelper (>= 9),
 cmake (>= 2.8.12),
 pkg-kde-tools (>= 0.15.16),
 qtbase5-dev,
 extra-cmake-modules (>= 1.2.0),
 libkf5coreaddons-dev (>= 5.1.0),
 kdoctools-dev (>= 5.1.0),
 libkf5i18n-dev (>= 5.1.0),
 kio-dev (>= 5.1.0),
 libkf5sane-dev (>= 5.1.0),
 libkf5textwidgets-dev (>= 5.1.0),
 libkf5xmlgui-dev (>= 5.1.0),
 libpng-dev
Standards-Version: 3.9.8
Homepage: http://www.kde.org/applications/graphics/skanlite/
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/skanlite.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/skanlite.git/

Package: skanlite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kooka
Description: image scanner for KDE 4 based on the KSane backend
 Skanlite is a small and simple scanner application for KDE 4 which allows easy
 scanning of images with an attached scanner. Through the KSane backend, it can
 access a wide variety of different scanner models.
 .
 Skanlite can be considered to be the replacement of Kooka.

## skanlite 2.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 include(CMakePackageConfigHelpers)
 include(CheckFunctionExists)
 include(KDEInstallDirs) # yields ${XDG_APPS_INSTALL_DIR}
-include(KDEFrameworkCompilerSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 include(GenerateExportHeader)
 
@@ -41,7 +41,7 @@
 
 include_directories(${PNG_INCLUDE_DIRS})
 
-set(SKANLITE_VERSION_STRING "2.0.0")
+set(SKANLITE_VERSION_STRING "2.0.1")
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/version.h)
 
@@ -56,11 +56,13 @@
         TextWidgets
 )
 
+add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
+
 # Subdirectories
 add_subdirectory(src)
 add_subdirectory(doc)
 add_subdirectory(autotests)
 add_subdirectory(tests)
-find_package(Gettext REQUIRED)
-add_subdirectory( po )
-add_subdirectory( doc-translations )
+
+find_package(KF5I18n CONFIG REQUIRED)
+ki18n_install(po)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -20,3 +20,4 @@
 
 install(TARGETS skanlite ${INSTALL_TARGETS_DEFAULT_ARGS})
 install(PROGRAMS org.kde.skanlite.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
+install( FILES org.kde.skanlite.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== doc/de/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/de
                          SUBDIR skanlite)

=== doc/en/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en
                          SUBDIR skanlite)

=== doc/it/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/it
                          SUBDIR skanlite)

=== doc/nl/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/nl
                          SUBDIR skanlite)

=== doc/pt/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/pt
                          SUBDIR skanlite)

=== doc/sv/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/sv
                          SUBDIR skanlite)

=== debian/changelog ===
skanlite (2.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Replace the transitional build dependencies:
    - kdoctools-dev -> libkf5doctools-dev
    - kio-dev -> libkf5kio-dev
  * Remove debian/source/options, so the default compression for the debian
    tarball is used.
  * Stop replacing kooka, since it is long gone.
  * Slightly touches to the descriptions: remove the "KDE 4" bits, and stop
    mentioning Kooka.

 -- Pino Toscano <pino@debian.org>  Sat, 03 Dec 2016 13:56:56 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
  qtbase5-dev,
  extra-cmake-modules (>= 1.2.0),
  libkf5coreaddons-dev (>= 5.1.0),
- kdoctools-dev (>= 5.1.0),
+ libkf5doctools-dev (>= 5.1.0),
  libkf5i18n-dev (>= 5.1.0),
- kio-dev (>= 5.1.0),
+ libkf5kio-dev (>= 5.1.0),
  libkf5sane-dev (>= 5.1.0),
  libkf5textwidgets-dev (>= 5.1.0),
  libkf5xmlgui-dev (>= 5.1.0),
@@ -24,10 +24,7 @@
 Package: skanlite
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kooka
-Description: image scanner for KDE 4 based on the KSane backend
- Skanlite is a small and simple scanner application for KDE 4 which allows easy
- scanning of images with an attached scanner. Through the KSane backend, it can
- access a wide variety of different scanner models.
- .
- Skanlite can be considered to be the replacement of Kooka.
+Description: image scanner based on the KSane backend
+ Skanlite is a small and simple scanner application which allows easy scanning
+ of images with an attached scanner. Through the KSane backend, it can access
+ a wide variety of different scanner models.

=== debian/rules ===
#!/usr/bin/make -f

DH_ALWAYS_EXCLUDE:=CVS:.svn:.svnignore:.hg:.hgignore
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined -Wl,--as-needed

override_dh_strip:
	dh_strip --dbgsym-migration='skanlite-dbg (<< 2.0-1~)'

%:
	dh $@ --parallel --with kf5

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

http://download.kde.org/stable/skanlite/([\d\.]+)/skanlite-([\d\.]+)\.tar\.xz

## skanlite 2.1.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -41,7 +41,7 @@
 
 include_directories(${PNG_INCLUDE_DIRS})
 
-set(SKANLITE_VERSION_STRING "2.0.1")
+set(SKANLITE_VERSION_STRING "2.1.0.1")
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/version.h)
 
@@ -53,7 +53,6 @@
         KIO # contains the KIOWidgets which we use in target_link_libraries
         DocTools # yields kdoctools_create_handbook
         Sane # will find KF5Sane
-        TextWidgets
 )
 
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
@@ -66,3 +65,8 @@
 
 find_package(KF5I18n CONFIG REQUIRED)
 ki18n_install(po)
+
+  find_package(KF5DocTools CONFIG)
+  if(KF5DocTools_FOUND)
+    kdoctools_install(po)
+  endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-set(skanlite_SRCS main.cpp skanlite.cpp ImageViewer.cpp KSaneImageSaver.cpp SaveLocation.cpp)
+set(skanlite_SRCS main.cpp skanlite.cpp ImageViewer.cpp KSaneImageSaver.cpp SaveLocation.cpp DBusInterface.cpp)
 
 ki18n_wrap_ui(skanlite_SRCS settings.ui SaveLocation.ui)

=== tests/CMakeLists.txt ===
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

include(ECMMarkAsTest)

macro(skanlite_executable_tests)
  foreach(_testname ${ARGN})
    add_executable(${_testname} ${_testname}.cpp)
    target_link_libraries(${_testname} Qt5::Test KF5skanlite)
    ecm_mark_as_test(${_testname})
  endforeach(_testname)
endmacro()

#skanlite_executable_tests(
#  anothertest
#)

=== debian/changelog ===
skanlite (2.1.0.1-2) unstable; urgency=medium

  * Team upload.
  * Update upstream project website URL.
  * Fix Salsa project URLs in Vcs-* fields.
  * Switch to debhelper-compat build dependency, bump compatibility level to
    12.
  * Drop transition for old debug package migration.
  * Migrate debian/copyright to machine readable format (DEP-5).
  * Bump Standards-Version to 4.5.0: add Rules-Requires-Root: no.
  * Remove obsolete DH_ALWAYS_EXCLUDE from debian/rules.
  * Add hardening=+all build hardening flag.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 16 Feb 2020 00:10:17 +0100

skanlite (2.1.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch watch file to https.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Remove the libkf5textwidgets-dev build dependency, no more needed now.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Explicitly add the gettext build dependency.
  * Remove trailing whitespaces in changelog.

 -- Pino Toscano <pino@debian.org>  Sat, 14 Apr 2018 18:10:49 +0200

=== debian/control ===
Source: skanlite
Section: graphics
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Kai Wasserbäch <curan@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 1.2.0),
               gettext,
               libkf5coreaddons-dev (>= 5.1.0),
               libkf5doctools-dev (>= 5.1.0),
               libkf5i18n-dev (>= 5.1.0),
               libkf5kio-dev (>= 5.1.0),
               libkf5sane-dev (>= 5.1.0),
               libkf5xmlgui-dev (>= 5.1.0),
               libpng-dev,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.2.0~),
Standards-Version: 4.5.0
Homepage: https://kde.org/applications/graphics/org.kde.skanlite
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/skanlite.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/skanlite
Rules-Requires-Root: no

Package: skanlite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: image scanner based on the KSane backend
 Skanlite is a small and simple scanner application which allows easy scanning
 of images with an attached scanner. Through the KSane backend, it can access
 a wide variety of different scanner models.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined -Wl,--as-needed

%:
	dh $@ --with kf5

## skanlite 2.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(skanlite)

set(SKANLITE_VERSION_STRING "2.2.0.0")

# ECM setup (Extended Cmake Modules)
find_package(ECM 1.2.0 REQUIRED NO_MODULE)
# ECM setup2 and include find same cmake module (copied from /usr/share/kde4/apps/cmake/modules/FindSane.cmake)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_SOURCE_DIR}/cmake-modules)

include(FeatureSummary)
include(ECMSetupVersion) # yiels ecm_setup_version
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(CheckFunctionExists)
include(KDEInstallDirs) # yields ${XDG_APPS_INSTALL_DIR}
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(GenerateExportHeader)
include(ECMQtDeclareLoggingCategory)

# be not so strict with the poor developer who just wants to use strings
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)

set(REQUIRED_QT_VERSION "5.7.0")
set(KF5_MIN_VERSION "5.55.0")

ecm_setup_version(
  ${SKANLITE_VERSION_STRING}
  VARIABLE_PREFIX SKANLITE
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/skanlite_version.h"
)

# Dependencies
find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Core Widgets)

find_package(PNG REQUIRED)
include_directories(${PNG_INCLUDE_DIRS})

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
        CoreAddons # KAboutData
        DocTools # yields kdoctools_create_handbook
        I18n
        KIO # contains the KIOWidgets which we use in target_link_libraries
        XmlGui # KAboutApplicationDialog
)

find_package(KF5Sane ${KF5_MIN_VERSION} REQUIRED)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

# Subdirectories
add_subdirectory(src)
add_subdirectory(doc)
add_subdirectory(autotests)
add_subdirectory(tests)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== doc/CMakeLists.txt ===
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR skanlite)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,12 @@
-set(skanlite_SRCS main.cpp skanlite.cpp ImageViewer.cpp KSaneImageSaver.cpp SaveLocation.cpp DBusInterface.cpp)
+set(skanlite_SRCS main.cpp skanlite.cpp ImageViewer.cpp showimagedialog.cpp SkanliteImageSaver.cpp SaveLocation.cpp DBusInterface.cpp)
 
 ki18n_wrap_ui(skanlite_SRCS settings.ui SaveLocation.ui)
+
+ecm_qt_declare_logging_category(skanlite_SRCS
+  HEADER skanlite_debug.h
+  IDENTIFIER SKANLITE_LOG
+  CATEGORY_NAME org.kde.skanlite
+)
 
 #kde4_add_app_icon(skanlite_SRCS "${KDE4_INSTALL_DIR}/share/icons/oxygen/*/devices/scanner.png")

=== debian/changelog ===
skanlite (2.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.7.0
    - bump KF packages to 5.55.0
  * Add the configuration for the CI on salsa.
  * Remove debian/source/local-options: it only has "unapply-patches", and
    there have not been patches for a long time.
  * Remove the skanlite man page, and its German translation: they have been
    in the packaging for a decade, with no changes on them; also they are in
    a format not exactly nice to maintain (groff). In case there is any
    interest, they better be requested to upstream, so they can be maintained
    and translated there.
  * Remove the manually added linker flags:
    - --no-undefined is generally not needed, and if so it is better set by
      the upstream build system
    - --as-needed is done by the recent Debian binutils

 -- Pino Toscano <pino@debian.org>  Sun, 12 Jul 2020 21:06:46 +0200

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
                debhelper-compat (= 12),
                extra-cmake-modules (>= 1.2.0),
                gettext,
-               libkf5coreaddons-dev (>= 5.1.0),
-               libkf5doctools-dev (>= 5.1.0),
-               libkf5i18n-dev (>= 5.1.0),
-               libkf5kio-dev (>= 5.1.0),
-               libkf5sane-dev (>= 5.1.0),
-               libkf5xmlgui-dev (>= 5.1.0),
+               libkf5coreaddons-dev (>= 5.55.0~),
+               libkf5doctools-dev (>= 5.55.0~),
+               libkf5i18n-dev (>= 5.55.0~),
+               libkf5kio-dev (>= 5.55.0~),
+               libkf5sane-dev (>= 5.55.0~),
+               libkf5xmlgui-dev (>= 5.55.0~),
                libpng-dev,
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.2.0~),
+               qtbase5-dev (>= 5.7.0~),
 Standards-Version: 4.5.0
 Homepage: https://kde.org/applications/graphics/org.kde.skanlite
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/skanlite.git

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

https://download.kde.org/stable/skanlite/([\d\.]+)/skanlite-([\d\.]+)\.tar\.xz

## skanlite 21.07.80

=== debian/changelog ===
skanlite (21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:40:43 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libkf5doctools-dev (>= 5.55.0~),
                libkf5i18n-dev (>= 5.55.0~),
                libkf5kio-dev (>= 5.55.0~),
-               libkf5sane-dev (>= 5.55.0~),
+               libkf5sane-dev (>= 21.07.80~),
                libkf5xmlgui-dev (>= 5.55.0~),
                libpng-dev,
                pkg-kde-tools (>= 0.15.16),

## skanlite 21.08.0

=== debian/changelog ===
skanlite (21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:12:25 +0100

skanlite (21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:07:11 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libkf5doctools-dev (>= 5.55.0~),
                libkf5i18n-dev (>= 5.55.0~),
                libkf5kio-dev (>= 5.55.0~),
-               libkf5sane-dev (>= 21.07.80~),
+               libkf5sane-dev (>= 21.08.0~),
                libkf5xmlgui-dev (>= 5.55.0~),
                libpng-dev,
                pkg-kde-tools (>= 0.15.16),
